VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "shellExe"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'//////////////////////////////////////////////////////////////
'//
'//  Description : PDF Write library
'//  Author      : verypdf.com Inc
'//  Version     : Ver 1.1
'//  Platform    : Windows95/98/Me/NT/2000
'//  Environment : Visual C++ 6.0, Visual Basic 6.0
'//  Date    : 2002/04/03
'//
'//  Copyright(C) 2000--2005 verypdf.com Inc
'//
'//  Contact infomation:
'//        http://www.verypdf.com/
'//        support@verypdf.com
'//        *******************
'//
'//  Description:
'//
'//    This is a COM interface for the verywrite.dll file, you
'//  can call this COM component from VC++, VB, Delphi, ASP, .NET
'//  programs easily.
'//
'//////////////////////////////////////////////////////////////


Const LF_FACESIZE = 32
Public Type POINT
    x As Long
    y As Long
End Type

Type LOGFONT
    lfHeight As Long
    lfWidth As Long
    lfEscapement As Long
    lfOrientation As Long
    lfWeight As Long
    lfItalic As Byte
    lfUnderline As Byte
    lfStrikeOut As Byte
    lfCharSet As Byte
    lfOutPrecision As Byte
    lfClipPrecision As Byte
    lfQuality As Byte
    lfPitchAndFamily As Byte
    lfFaceName(LF_FACESIZE) As Byte
End Type

Type BITMAPINFOHEADER
    biSize As Long
    biWidth As Long
    biHeight As Long
    biPlanes As Integer
    biBitCount As Integer
    biCompression As Long
    biSizeImage As Long
    biXPelsPerMeter As Long
    biYPelsPerMeter As Long
    biClrUsed As Long
    biClrImportant As Long
End Type

Type RECT
        left As Long
        top As Long
        right As Long
        bottom As Long
End Type


 

 


Public Function com_VeryCreate(ByVal filename As String) As Long
        
    com_VeryCreate = VeryCreate(filename)
  
End Function

Public Function com_VeryOpen(ByVal filename As String) As Long

    com_VeryOpen = VeryOpen(filename)
    
End Function
Public Function com_VeryClose(ByVal Very_ID As Long)

    VeryClose (Very_ID)
    
End Function
Public Function com_VeryAddImage(ByVal Very_ID As Long, ByVal filename As String) As Long

    com_VeryAddImage = VeryAddImage(Very_ID, filename)
   
End Function
Public Function com_VeryAddImageData(ByVal Very_ID As Long, ByVal Data As Long, ByVal width As Long, _
                                ByVal height As Long, ByVal color As Long) As Long
                                
    com_VeryAddImageData = VeryAddImageData(Very_ID, Data, width, _
                                height, color)
                                
 'Nonzero if it is successful; otherwise, it is zero.
End Function
Public Function com_VeryAddTextEx(ByVal Very_ID As Long, ByVal x As Long, ByVal y As Long, _
            ByVal str As String, ByVal color As Long) As Long
    
    com_VeryAddTextEx = VeryAddTextEx(Very_ID, x, y, str, color)
   
    'Nonzero if it is successful; otherwise, it is zero.
End Function

Public Function com_VeryAddText(ByVal Very_ID As Long, ByVal x As Long, ByVal y As Long, _
        ByVal width As Long, ByVal height As Long, ByVal str As String, ByVal color _
        As Long, ByVal BkColor As Long, ByVal lFormat As Long) As Long
    
    com_VeryAddText = VeryAddText(Very_ID, x, y, width, height, str, color, BkColor, lFormat)
  
End Function
Public Function com_VeryAddTxt(ByVal Very_ID As Long, ByVal filename As String, ByVal color As Long, _
                     ByVal PageWidth As Long, ByVal PageHeight As Long, ByVal AutoNewLine As Long, _
                     ByVal AutoWidthAdjust As Long, ByVal LeftMargin As Long, ByVal RightMargin _
                     As Long, ByVal TopMargin As Long, ByVal BottomMargin As Long, ByVal TabSize As Long) As Long
                    
    com_VeryAddTxt = VeryAddTxt(Very_ID, filename, color, PageWidth, _
                    PageHeight, AutoNewLine, AutoWidthAdjust, LeftMargin, RightMargin, _
                    TopMargin, BottomMargin, TabSize)
                    
End Function
Public Function com_VeryAddLine(ByVal Very_ID As Long, ByVal sx As Long, ByVal sy _
        As Long, ByVal ex As Long, ByVal ey As Long, ByVal width As Long, ByVal color _
        As Long) As Long

    com_VeryAddLine = VeryAddLine(Very_ID, sx, sy, ex, ey, width, color)
    
End Function
Public Function com_VeryAddRect(ByVal Very_ID As Long, ByVal sx As Long, ByVal sy As _
                Long, ByVal ex As Long, ByVal ey As Long, ByVal side_width As Long, _
                ByVal side_color As Long, ByVal flagFill As Long, ByVal fill_color As Long) As Long
    
    com_VeryAddRect = VeryAddRect(Very_ID, sx, sy, ex, ey, side_width, side_color, flagFill, fill_color)

End Function
Public Function com_VeryAddCircle(ByVal Very_ID As Long, ByVal sx As Long, _
                ByVal sy As Long, ByVal Radius As Long, ByVal side_width As Long _
                , ByVal side_color As Long, ByVal flagFill As Long, ByVal fill_color As Long) As Long

    com_VeryAddCircle = VeryAddCircle(Very_ID, sx, sy, Radius, side_width, side_color, flagFill, fill_color)

End Function
Public Function com_VeryAddEllipse(ByVal Very_ID As Long, ByVal sx As Long, ByVal _
        sy As Long, ByVal ex As Long, ByVal ey As Long, ByVal side_width As Long, _
        ByVal side_color As Long, ByVal flagFill As Long, ByVal fill_color As Long) As Long
    
    com_VeryAddEllipse = VeryAddEllipse(Very_ID, sx, sy, ex, ey, side_width, side_color, flagFill, _
    fill_color)

End Function
Public Function com_VeryAddPolygon(ByVal Very_ID As Long, ByRef LPPOINT As POINT, _
            ByVal iCount As Long, ByVal side_width As Long, ByVal side_color As Long, _
            ByVal flagFill As Long, ByVal fill_color As Long) As Long

    com_VeryAddPolygon = VeryAddPolygon(Very_ID, LPPOINT, iCount, side_width, side_color, flagFill, _
    fill_color)

End Function

Public Function com_VeryAddCurveTo(ByVal Very_ID As Long, ByVal sx As Long, ByVal sy _
            As Long, ByVal x1 As Long, ByVal y1 As Long, ByVal X2 As Long, ByVal Y2 _
            As Long, ByVal X3 As Long, ByVal Y3 As Long, ByVal side_width As Long, _
            ByVal side_color As Long) _
            As Long

    com_VeryAddCurveTo = VeryAddCurveTo(Very_ID, sx, sy, x1, y1, X2, Y2, X3, Y3, side_width, side_color)

End Function

Public Function com_VeryAddInfo(ByVal Very_ID As Long, ByVal Title As String, ByVal _
    Subject As String, ByVal Author As String, ByVal Keywords As String, ByVal _
    Creator As String) As Long
    
    com_VeryAddInfo = VeryAddInfo(Very_ID, Title, Subject, Author, Keywords, Creator)
    
End Function

Public Function com_VeryAddInfoEx(ByVal id As Long, ByVal key As String, ByVal value As String, ByVal iLen As Long) As Long

    com_VeryAddInfoEx = VeryAddInfoEx(id, key, value, iLen)

End Function


Public Function com_VerySetFunction(ByVal Very_ID As Long, ByVal Code As Long, ByVal _
    Para1 As Long, ByVal Para2 As Long, ByVal Para3 As String, ByVal Para4 As String) As Long

    com_VerySetFunction = VerySetFunction(Very_ID, Code, Para1, Para2, Para3, Para4)

End Function

Public Function com_VeryGetFunction(ByVal Very_ID As Long, ByVal Code As Long, ByVal _
    Para1 As Long, ByVal Para2 As Long, ByVal Para3 As String, ByVal Para4 As String) As Long
    
    com_VeryGetFunction = VeryGetFunction(Very_ID, Code, Para1, Para2, Para3, Para4)

End Function


'PDF Password Remover COM/DLL v2.0 User manual


Public Function com_VeryDecryptPDF(ByVal inFileName As String, ByVal outFileName As _
    String, ByVal OwnerPassword As String, ByVal UserPassword As String) As Long
    
    com_VeryDecryptPDF = VeryDecryptPDF(inFileName, outFileName, OwnerPassword, UserPassword)

End Function

Public Function com_VeryIsPDFEncrypted(ByVal inFileName As String) As Boolean

    com_VeryIsPDFEncrypted = VeryIsPDFEncrypted(inFileName)

End Function

'EncryptPDF COM/DLL v2.0 User manual
Public Function com_VeryEncryptPDF(ByVal inFileName As String, ByVal outFileName As String, _
    ByVal EnctyptLen As Long, ByVal Permission As Long, ByVal OwnerPassword As String, _
    ByVal UserPassword As String) As Long
    
    com_VeryEncryptPDF = VeryEncryptPDF(inFileName, outFileName, _
    EnctyptLen, Permission, OwnerPassword, UserPassword)
    
End Function

Public Function com_VeryTestEncryptedPDF(ByVal inFileName As String, ByVal OwnerPassword _
    As String, ByVal UserPassword As String) As Boolean
    
    com_VeryTestEncryptedPDF = VeryTestEncryptedPDF(inFileName, OwnerPassword, UserPassword)

End Function

'PDF Split-Merge SDK v2.0
'User manual

Public Function com_VerySplitMergePDF(ByVal lpCommandLine As String) As Long

    com_VerySplitMergePDF = VerySplitMergePDF(lpCommandLine)

End Function
Public Function com_VeryAppendPDF(ByVal ptrExistingPDFName As String, ByVal ptrAppendPDF As String) As Long
    
    com_VeryAppendPDF = VeryAppendPDF(ptrExistingPDFName, ptrAppendPDF)
    
End Function


'PDF Stamp SDK v2.0
'User manual
Public Function com_VeryStampOpen(ByVal InputFile As String, ByVal OutputFile As String) As Long

    com_VeryStampOpen = VeryStampOpen(InputFile, OutputFile)

End Function

Public Function com_VeryStampClose(ByVal id As Long)

    VeryStampClose (id)

End Function
Public Function com_VeryStampAddText(ByVal id As Long, ByVal Position As Long, ByVal _
    str As String, ByVal color As Long, ByVal Alignment As Long, ByVal Shift_LR As _
    Long, ByVal Shift_TB As Long, ByVal Rotate As Long, ByVal layer As Long, ByVal _
    Hollow As Long, ByVal FontCode As Long, ByVal FontName As String, ByVal FontSize _
    As Long, ByVal Action As Long, ByVal Link As String, ByVal pageno As Long) As Long
    
    com_VeryStampAddText = VeryStampAddText(id, Position, str, color, Alignment, _
    Shift_LR, Shift_TB, Rotate, layer, Hollow, FontCode, FontName, _
    FontSize, Action, Link, pageno)
    
End Function

Public Function com_VeryStampAddImage(ByVal id As Long, ByVal Position As Long, ByVal filename As _
        String, ByVal Shift_LR As Long, ByVal Shift_TB As Long, ByVal Rotate As Long, ByVal layer _
        As Long, ByVal ZoomW As Long, ByVal ZoomH As Long, ByVal Action As Long, ByVal Link As _
        String, ByVal pageno As Long) As Long

    com_VeryStampAddImage = VeryStampAddImage(id, Position, filename, Shift_LR, Shift_TB, _
                        Rotate, layer, ZoomW, ZoomH, Action, Link, pageno)

End Function
Public Function com_VeryStampAddLine(ByVal id As Long, ByVal Position As Long, ByVal LineWidth As _
        Long, ByVal color As Long, ByVal Shift_LR As Long, ByVal Shift_TB As Long, ByVal Rotate _
        As Long, ByVal layer As Long, ByVal ZoomW As Long, ByVal ZoomH As Long) As Long
            
    com_VeryStampAddLine = VeryStampAddLine(id, Position, LineWidth, color, Shift_LR, Shift_TB, Rotate, layer, _
            ZoomW, ZoomH)

End Function


Public Function com_VeryStampSetFunction(ByVal id As Long, ByVal Code As Long, ByVal Para1 As Long, _
    ByVal Para2 As Long, ByVal Para3 As String, ByVal Para4 As String) As Long

    com_VeryStampSetFunction = VeryStampSetFunction(id, Code, Para1, Para2, Para3, Para4)

End Function

Public Function com_VeryStampUndo(ByVal filename As String) As Long

    com_VeryStampUndo = VeryStampUndo(filename)

End Function
Public Function com_VeryStampLayerOpen(ByVal InFile As String, ByVal OutFile As String, ByVal lpFGLayerName As String, ByVal lpBGLayerName As String) As Long
    com_VeryStampLayerOpen = VeryStampLayerOpen(InFile, OutFile, lpFGLayerName, lpBGLayerName)
End Function
Public Function com_VeryStampAddImageEx(ByVal id As Long, ByVal Position As Long, ByVal filename As String, ByVal Shift_LR As Long, _
                        ByVal Shift_TB As Long, ByVal Rotate As Long, ByVal layer As Long, ByVal width As Long, ByVal height As Long, _
                        ByVal Action As Long, ByVal Link As String, ByVal pageno As Long) As Long
    com_VeryStampAddImageEx = VeryStampAddImageEx(id, Position, filename, Shift_LR, _
                        Shift_TB, Rotate, layer, width, height, _
                        Action, Link, pageno)
End Function
Public Function com_VeryStampAddRect(ByVal id As Long, ByVal sx As Long, _
    ByVal sy As Long, ByVal ex As Long, ByVal ey As Long, ByVal side_width As Long, ByVal side_color As Long, _
    ByVal flagFill As Long, ByVal fill_color As Long) As Long
    com_VeryStampAddRect = VeryStampAddRect(id, sx, sy, ex, ey, side_width, side_color, _
        flagFill, fill_color)
End Function

Public Function com_VeryStampAddLineEx(ByVal id As Long, ByVal sx As Long, _
    ByVal sy As Long, ByVal ex As Long, ByVal ey As Long, ByVal width As Long, ByVal color As Long) As Long
    com_VeryStampAddLineEx = VeryStampAddLineEx(id, sx, sy, ex, ey, width, color)
End Function


Public Function com_ImageStampOpen(ByVal strIn As String, ByVal strOut As String) As Long

    com_ImageStampOpen = ImageStampOpen(strIn, strOut)

End Function

Public Function com_ImageStampClose(ByVal id As Long)

    ImageStampClose (id)
    
End Function

Public Function com_ImageStampShow(ByVal id As Long, ByVal hDC As Long, ByRef lprcDst As RECT, _
    ByRef lprcSrc As RECT) As Long

    com_ImageStampShow = ImageStampShow(id, hDC, lprcDst, lprcSrc)
    
End Function

Public Function com_ImageStampGetDIB(ByVal id As Long, ByRef lpDIBData As Variant) As Long

    com_ImageStampGetDIB = ImageStampGetDIB(id, lpDIBData)

End Function

Public Function com_ImageStampAddText_VB(ByVal id As Long, ByVal x As Long, ByVal y As Long, _
    ByVal m_Text As String, ByVal color As Long, ByVal style As Long, _
    ByVal nPointSize As Long, ByVal nOrientation As Long, ByVal lpszFaceName As String) As Long
                          
    com_ImageStampAddText_VB = ImageStampAddText_VB(id, x, y, m_Text, _
                            color, style, nPointSize, nOrientation, lpszFaceName)
                            
End Function

Public Function com_ImageStampAddText(ByVal id As Long, ByVal x As Long, _
   ByVal y As Long, ByVal text As String, ByVal color As Long, ByRef font As LOGFONT, ByVal style As Long) As Long
   
   com_ImageStampAddText = ImageStampAddText(id, x, y, text, color, font, style)

End Function

Public Function com_ImageStampAddImage(ByVal id As Long, ByVal x As Long, ByVal y As Long, _
    ByVal width As Long, ByVal height As Long, ByVal filename As String, ByVal bTransparent As Boolean) As Long
                            
    com_ImageStampAddImage = ImageStampAddImage(id, x, y, width, height, _
                            filename, bTransparent)
End Function

Public Function com_ImageStampAddLine(ByVal id As Long, ByVal x0 As Long, _
    ByVal y0 As Long, ByVal x1 As Long, ByVal y1 As Long, ByVal width As Long, ByVal color As Long, _
    ByVal style As Long) As Long
    
    com_ImageStampAddLine = ImageStampAddLine(id, x0, y0, x1, y1, width, color, style)
    
End Function
                                    
Public Function com_ImageStampGetInfo(ByVal id As Long, ByRef lpbi As BITMAPINFOHEADER) As Long

    com_ImageStampGetInfo = ImageStampGetInfo(id, lpbi)
    
End Function
Public Function com_ImageStampPrint(ByVal id As Long, ByVal ptrPrintName As String, ByVal _
    dmOrientation As Long, ByVal dmPaperSize As Long, ByVal dmCopies As Long) As Long
                              
    com_ImageStampPrint = ImageStampPrint(id, ptrPrintName, dmOrientation, dmPaperSize, _
                              dmCopies)
                              
End Function

Public Function com_ImageStampCloseAndNotSave(ByVal id As Long) As Long

    com_ImageStampCloseAndNotSave = ImageStampCloseAndNotSave(id)
    
End Function

Public Function com_ImageStampSetPageRange(ByVal id As Long, ByVal lpPageRange As String) As Long

    com_ImageStampSetPageRange = ImageStampSetPageRange(id, lpPageRange)
 
End Function

Public Function com_ImageStampGetDIBLength(ByVal id As Long) As Long

    com_ImageStampGetDIBLength = ImageStampGetDIBLength(id)
    
End Function

Public Function com_ImageStampSetLibDirectoryName(ByVal strLibDir As String) As Long

    com_ImageStampSetLibDirectoryName = ImageStampSetLibDirectoryName(strLibDir)

End Function


Public Function com_ImageStampGetHDC(ByVal id As Long) As Long

    com_ImageStampGetHDC = ImageStampGetHDC(id)

End Function

Public Function com_ImageStampReleaseHDC(ByVal id As Long, ByVal hDC As Long) As Long

    com_ImageStampReleaseHDC = ImageStampReleaseHDC(id, hDC)

End Function


Public Function com_VeryStampGetFunction(ByVal Very_ID As Long, ByVal Code As Long, ByVal Para1 _
    As Long, ByVal Para2 As Long, ByVal Para3 As String, ByVal Para4 As String) As Long
    
    com_VeryStampGetFunction = VeryGetFunction(Very_ID, Code, Para1, Para2, Para3, Para4)

End Function

Public Function com_VeryRepairPDF(ByVal inputPDF As String, ByVal outputPDF As String) As Long

    com_VeryRepairPDF = VeryRepairPDF(inputPDF, outputPDF)

End Function
Public Function com_VeryGetPDFFileMediaBox(ByVal inputPDF As String, ByVal pagenum As Long, _
    ByRef left As Single, ByRef top As Single, ByRef right As Single, ByRef bottom As Single) As Long
    
    com_VeryGetPDFFileMediaBox = VeryGetPDFFileMediaBox(inputPDF, pagenum, left, top, right, bottom)
        
End Function
    
'Get page count from a PDF file
Public Function com_VeryGetPDFFilePageCount(ByVal inputPDF As String) As Long
    
    com_VeryGetPDFFilePageCount = VeryGetPDFFilePageCount(inputPDF)

End Function
Public Function com_VeryGetPDFFilePageCount2(ByVal inputPDF As String) As Long

    com_VeryGetPDFFilePageCount2 = VeryGetPDFFilePageCount2(inputPDF)

End Function
Public Function com_VeryGetPDFFilePageCountFast(ByVal inputPDF As String) As Long

    com_VeryGetPDFFilePageCountFast = VeryGetPDFFilePageCountFast(inputPDF)

End Function

'Convert image file to PDF file directly
Public Function com_VeryConvertImageToPDF(ByVal inputPDF As String, ByVal outputPDF As String, ByVal options As String) As Long
    
    com_VeryConvertImageToPDF = VeryConvertImageToPDF(inputPDF, outputPDF, options)

End Function

'Run a command line
Public Function com_VeryRunCommand(ByVal szCommand As String, ByVal Para1 As Long, ByVal Para2 As Long, ByVal Para3 As String, ByVal Para4 As String) As Long
    
    com_VeryRunCommand = VeryRunCommand(szCommand, Para1, Para2, Para3, Para4)

End Function

Public Function com_VeryShellPrintPDFFileTimeOut(ByVal dwMilliseconds As Long) As Long

    com_VeryShellPrintPDFFileTimeOut = VeryShellPrintPDFFileTimeOut(dwMilliseconds)

End Function

Public Function com_VeryShellPrintPDFFileMargins(ByVal lMargins As Long) As Long

    com_VeryShellPrintPDFFileMargins = VeryShellPrintPDFFileMargins(lMargins)

End Function

Public Function com_ImageStampPrintEx(ByVal id As Long, ByVal strPrintName As String, ByVal dmOrientation As Long, _
    ByVal dmPaperSize As Long, ByVal dmCopies As Long, ByVal bShellPrint As Long) As Long
    
    com_ImageStampPrintEx = ImageStampPrintEx(id, strPrintName, dmOrientation, _
        dmPaperSize, dmCopies, bShellPrint)
    
End Function

Public Function com_VeryPrintPDFFile(ByVal lpPDFFileName As String, ByVal ptrPrintName As String, _
    ByVal dmOrientation As Long, ByVal dmPaperSize As Long, ByVal dmCopies As Long) As Long
    
    com_VeryPrintPDFFile = VeryPrintPDFFile(lpPDFFileName, ptrPrintName, _
        dmOrientation, dmPaperSize, dmCopies)
    
End Function

Public Function com_VeryShellPrintPDFFileEx(ByVal lpPDFFileName As String, _
    ByVal strPrintName As String, ByVal dmOrientation As Long, ByVal dmPaperSize As Long, ByVal dmCopies As Long, _
    ByVal bShellPrint As Long) As Long
    
    com_VeryShellPrintPDFFileEx = VeryShellPrintPDFFileEx(lpPDFFileName, strPrintName, dmOrientation, _
        dmPaperSize, dmCopies, bShellPrint)
    
End Function

Public Function com_VeryShellPrintPDFFile(ByVal lpPDFFileName As String, _
    ByVal strPrintName As String, ByVal dmOrientation As Long, ByVal dmPaperSize As Long, ByVal dmCopies As Long) As Long
    
    com_VeryShellPrintPDFFile = VeryShellPrintPDFFile(lpPDFFileName, strPrintName, dmOrientation, _
        dmPaperSize, dmCopies)
    
End Function

Public Function com_VeryStampAddRectWithLayer(ByVal id As Long, ByVal sx As Long, ByVal sy As Long, _
    ByVal ex As Long, ByVal ey As Long, ByVal side_width As Long, ByVal side_color As Long, ByVal flagFill As Long, _
    ByVal fill_color As Long, ByVal layer As Long) As Long
    
    com_VeryStampAddRectWithLayer = VeryStampAddRectWithLayer(id, sx, sy, ex, ey, side_width, _
        side_color, flagFill, fill_color, layer)
    
End Function

Public Function com_VeryStampReg(ByVal reg As String) As Long

    com_VeryStampReg = VeryStampReg(reg)
    
End Function

Public Function com_VeryGetPDFFileInfo(ByVal inputPDF As String, ByVal output As String) As Long

    com_VeryGetPDFFileInfo = VeryGetPDFFileInfo(inputPDF, output)
    
End Function

Public Function com_VeryGetPDFFileInfoEx(ByVal inputPDF As String, ByVal sTitle As String, ByVal sSubject As String, _
                                   ByVal sAuthor As String, ByVal sKeywords As String, ByVal sCreator As String, _
                                   ByVal sProducer As String, ByVal sVersion As String, ByVal sPageCount As String, _
                                   ByVal sCreatedDate As String, ByVal sModifyDate As String) As Long
                                   
    com_VeryGetPDFFileInfoEx = VeryGetPDFFileInfoEx(inputPDF, sTitle, sSubject, _
                                   sAuthor, sKeywords, sCreator, _
                                   sProducer, sVersion, sPageCount, _
                                   sCreatedDate, sModifyDate)
                                   
End Function


Public Function com_VerySplitMergePDFEx(ByVal lpInputPDF As String, ByVal lpPageRange As String, ByVal lpOutPDF As String) As Long

    com_VerySplitMergePDFEx = VerySplitMergePDFEx(lpInputPDF, lpPageRange, lpOutPDF)

End Function
Public Function com_VeryMergePDFFiles(ByVal lpMergePDFFiles As String, ByVal lpOutPDF As String) As Long
    
    com_VeryMergePDFFiles = VeryMergePDFFiles(lpMergePDFFiles, lpOutPDF)
    
End Function

Public Function com_TIFFImageGetPageCount(ByVal inputTIFFFile As String) As Long
    
    com_TIFFImageGetPageCount = TIFFImageGetPageCount(inputTIFFFile)
    
End Function
Public Function com_TIFFImageGetColors(ByVal inputTIFFFile As String, ByVal pageno As Long) As Long
    
    com_TIFFImageGetColors = TIFFImageGetColors(inputTIFFFile, pageno)
    
End Function
Public Function com_TIFFImageGetCompression(ByVal inputTIFFFile As String, ByVal pageno As Long) As Long
    
    com_TIFFImageGetCompression = TIFFImageGetCompression(inputTIFFFile, pageno)
    
End Function
Public Function com_TIFFImageSetOptions(ByVal inputTIFFFile As String, ByVal pageno As Long, ByVal colors As Long, ByVal compression As Long) As Long
    
    com_TIFFImageSetOptions = TIFFImageSetOptions(inputTIFFFile, pageno, colors, compression)
    
End Function

Public Sub com_VerySetLicenseKey(ByVal lpszLicenseKey As String)

    VerySetLicenseKey lpszLicenseKey
    
End Sub
